OSMCOASTLINE_READMETA(1)

NAME
osmcoastline_readmeta - display metadata from database created by osmcoastline

SYNOPSIS
osmcoastline_readmeta [COASTLINE-DB]

OPTIONS

-h, --help
    Display usage information.

-V, --version
    Display program version and license information.

DESCRIPTION
This program displays various meta data from a database created by the osmcoastline program.

If no database name is specified on the command line “testdata.db” is used.

Displayed are the command line options used to create the database, some statistics about the coastline, the number of warnings and errors detected and more.

This will only work if the (default) “SQLite” output format has been used on the osmcoastline program.

SEE ALSO

•   osmcoastline(1)

•   Project page (https://osmcode.org/osmcoastline/)

•   OSMCoastline in OSM wiki (https://wiki.openstreetmap.org/wiki/OSMCoastline)

COPYRIGHT

Copyright (C) 2012-2026 Jochen Topf <jochen@topf.org>. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

CONTACT

If you have any questions or want to report a bug, please go to https://osmcode.org/contact.html

AUTHORS
Jochen Topf <jochen@topf.org>.